let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/ik92bxq5l6fhdcnsykdfhb790y22xm4s-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/1q4mb5zdqmpq4haw1wmww4iyb3vwldk9-coreutils-8.30/bin";
  bzip2 = "/nix/store/zlnwn99y2zz69gdr5f4b8pqyk836hvpq-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/4aqc50dq85i11cgldy66yki7h609igfr-gzip-1.10/bin/gzip";
  xz = "/nix/store/0f0p3wyk6hayw28b6kldn10p1vzq3pvf-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/j2l8yxb69xv7xnaml98vjg39cgbydv5c-gnutar-1.31/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/1q4mb5zdqmpq4haw1wmww4iyb3vwldk9-coreutils-8.30/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/jq6npmpld02sz4rgniz0qrsdfnm6j17a-nix-2.3/bin";
  nixPrefix = "/nix/store/jq6npmpld02sz4rgniz0qrsdfnm6j17a-nix-2.3";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/jq6npmpld02sz4rgniz0qrsdfnm6j17a-nix-2.3/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
